# Uses of Class
org.springframework.beans.factory.groovy.GroovyBeanDefinitionReader

Packages that use GroovyBeanDefinitionReader
Package
Description
org.springframework.beans.factory.groovy
Support package for Groovy-based bean definitions.

## Uses of GroovyBeanDefinitionReader in org.springframework.beans.factory.groovy

Methods in org.springframework.beans.factory.groovy that return GroovyBeanDefinitionReader
Modifier and Type
Method
Description
`GroovyBeanDefinitionReader`
GroovyBeanDefinitionReader.`beans(groovy.lang.Closure<?> closure)`
Defines a set of beans for the given block or closure.
`protected GroovyBeanDefinitionReader`
GroovyBeanDefinitionReader.`invokeBeanDefiningClosure(groovy.lang.Closure<?> callable)`
When a method argument is only a closure it is a set of bean definitions.